#ifndef _LCR_CONSTANTS_H
#define _LCR_CONSTANTS_H

#include "settings.h"

#define LCR_EFFECTIVE_RESOLUTION_X \
  (LCR_SETTING_RESOLUTION_X / LCR_SETTING_RESOLUTION_SUBDIVIDE)

#define LCR_EFFECTIVE_RESOLUTION_Y \
  (LCR_SETTING_RESOLUTION_Y / LCR_SETTING_RESOLUTION_SUBDIVIDE)

#define LCR_FREE_CAMERA_STEP \
  (LCR_SETTING_FREE_CAMERA_SPEED / LCR_SETTING_FPS)

#define LCR_FREE_CAMERA_TURN_STEP \
  (LCR_SETTING_FREE_CAMERA_TURN_SPEED / LCR_SETTING_FPS)

#define LCR_MAP_SIZE_BLOCKS 64

/** Maximum number of triangles of a block shape. */
#define LCR_MAP_BLOCK_SHAPE_MAX_BYTES 80

#endif
